<template>
   <b-container class="animated fadeIn" fluid>
       <b-card title="Lịch sử tin nhắn">
        <b-row>
            <b-col md="3" class="my-1">
                <b-form-group horizontal label="Hiển thị">
                    <b-form-select :options="pageOptions" v-model="perPage" />
                </b-form-group>
            </b-col>
        </b-row>
      <b-table striped hover 
               :items="sms_logs" 
               :fields="fields"
               :current-page="currentPage"
               :per-page="perPage">
          <span slot="status_label" slot-scope="data" v-html="data.value"></span>
    
      </b-table>
          <b-row>
      <b-col md="6" class="my-1">
        <b-pagination :total-rows="totalRows" :per-page="perPage" v-model="currentPage" class="my-0" />
      </b-col>
    </b-row>
       </b-card>
   </b-container>

</template>

<script>
import { http } from "../../services";
import { alerts } from "../../utils";
export default {
  data() {
    return {
      fields: [
        {
          key: "id",
          label: "ID",
          sortable: true
        },
        {
          key: "content",
          label: "Nội dung",
          sortable: true
        },
        {
          key: "status_label",
          label: "Trạng thái",
          sortable: true
        },
        {
          key: "created_at",
          label: "Ngày tạo",
          sortable: true,
          formatter: value => {
            return this.$moment(value).format("DD/MM/YYYY HH:mm:ss");
          }
        }
      ],
      sms_logs: [],
      currentPage: 1,
      perPage: 20,
      totalRows: 0,
      pageOptions: [5, 10, 15, 20, 50]
    };
  },
  created() {
    this.fetchSMSLogs();
  },
  methods: {
    fetchSMSLogs() {
      http.get("/sms", response => {
        this.sms_logs = response.data;
        this.totalRows = response.data.length;
      });
    }
  }
};
</script>